Package org.apache.tapestry5.internal.services

## Class BeanBlockSourceImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.BeanBlockSourceImpl

- All Implemented Interfaces:
    `BeanBlockSource`

      public class BeanBlockSourceImpl
      extends java.lang.Object
      implements BeanBlockSource

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BeanBlockSourceImpl​(RequestPageCache pageCache, BeanBlockOverrideSource overrideSource, java.util.Collection<BeanBlockContribution> configuration)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Block` | `getDisplayBlock​(java.lang.String datatype)` | Returns a block which can be used to render output for the given data type.
    `Block` | `getEditBlock​(java.lang.String datatype)` | Returns a block which can be used to render an editor for the given data type, in the form of a field label and input field.
    `boolean` | `hasDisplayBlock​(java.lang.String datatype)` | Checks to see if there is a display block for the indicated data type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanBlockSourceImpl

          public BeanBlockSourceImpl​(RequestPageCache pageCache,
                                     BeanBlockOverrideSource overrideSource,
                                     java.util.Collection<BeanBlockContribution> configuration)

  - ### Method Detail

    - #### hasDisplayBlock

          public boolean hasDisplayBlock​(java.lang.String datatype)

      Description copied from interface: `BeanBlockSource`
      Checks to see if there is a display block for the indicated data type.
      Specified by:
        `hasDisplayBlock` in interface `BeanBlockSource`
      Parameters:
        `datatype` - to check for
      Returns:
        true if a block is available

    - #### getDisplayBlock

          public Block getDisplayBlock​(java.lang.String datatype)

      Description copied from interface: `BeanBlockSource`
      Returns a block which can be used to render output for the given data type.
      Specified by:
        `getDisplayBlock` in interface `BeanBlockSource`
      Parameters:
        `datatype` - logical name for the type of data to be displayed
      Returns:
        the Block

    - #### getEditBlock

          public Block getEditBlock​(java.lang.String datatype)

      Description copied from interface: `BeanBlockSource`
      Returns a block which can be used to render an editor for the given data type, in the form of a field label and input field.
      Specified by:
        `getEditBlock` in interface `BeanBlockSource`
      Parameters:
        `datatype` - logical name for the type of data to be displayed
      Returns:
        the Block